import tryIt from 'tryit';

export const setLocalStorageItem = (item, value) => tryIt(() => localStorage.setItem(item, value));
export const getLocalStorageItem = item => {
  let result;
  tryIt(() => {
    result = localStorage.getItem(item);
  });
  return result;
};
export const deleteLocalStorageItem = item => tryIt(() => delete localStorage[item]);
export const clearLocalStorage = () => tryIt(() => {
  const debug = localStorage.debug;
  localStorage.clear();
  if (debug) {
    localStorage.debug = debug;
  }
});